package authpartner

import (
	e "simrs-vx/internal/domain/main-entities/auth-partner"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.AuthPartner) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
	data.SecretKey = inputSrc.SecretKey
}
